Subject: Re: [bitcoin-dev] Two Drivechain BIPs

From: Chris Pacia <[email-masked]>
Date: Mon, 4 Dec 2017 14:36:31 -0500

I think you are missing a few things.

First of all, I think the security model for sidechains is the same as
that of every blockchain

People will say things, like "but with sidechains 51% hashrate can steal
your coins!", but as I have repeated many times, this is also true of
mainchain btc-tx.  is something else?

There are substantial opportunity costs as well as a collective action
problem when it comes to re-writing the mainchain.

Is there anything similar for drivechains? As far as I can tell there is no
opportunity cost to casting a malicious vote, no repercussions, and no
collective action barrier that needs to be overcome.

Unless I'm missing something I wouldn't liken the security of a drivechain
to that of the mainchain.